using System;

namespace ConsoleApp33
{
    class Program
    {
        static void Main(string[] args)
        {
            
            string[] q = Console.ReadLine().Split();
            int n = int.Parse(q[0]);
            int k = int.Parse(q[1]);
            q = Console.ReadLine().Split();
            int karta = 0;
            for(int i = 0; i < n; i++)
            {
                int pomoc = int.Parse(q[i]);
                if (pomoc == k)
                    karta = i;
            }
            if (karta == n - 1)
                karta = int.Parse(q[0]);
            else
                karta = int.Parse(q[karta+1]);
            Console.WriteLine(karta);
        }
    }
}